.NET Framework 4.7 теперь доступен для всех поддерживаемых версий Windows


Оглавление (нажмите, чтобы открыть):

Как устранить проблемы с установкой Net Framework

Иногда программы не устанавливаются или не запускаются, ссылаясь на Net Framework той или иной версии. Проблема может возникать по разным причинам.

.Net Framework – универсальный сборник реализаций и частей кода. В основном он предназначен для отрисовки графических окон программы. Разработчики пользуются этой платформой, чтобы не составлять код самостоятельно и иметь обобщённый инструмент. Отсутствие данного компонента (или его конкретной разновидности) в системе может привести к неработоспособности некоторых программ.

Почему появляется ошибка

Часто установочные пакеты программ могут не сканировать операционную систему (ОС) или пытаться поставить что-то поверх имеющейся копии. Иногда, проблемы значительно глубже.

Наличие компонента в системе

Самым распространённым случаем, когда Net Framework 4 не устанавливается является наличие его в Windows 7, 8 или 10. В зависимости от ОС он уже может быть установлен:

  • XP. Не поддерживает установку Framework с версией выше 3.5;
  • 7. Пиратские сборки (не чистые образы от Microsoft) могут содержать установочный пакет компонента и устанавливать его при инсталляции системы;
  • 8 и 10. Пакет уже предустановлен в систему.

Проверить наличие Framework в системе можно следующим образом (на примере Windows 10):

  1. Открываете меню «Пуск» и начинаем набирать «Компоненты».
  2. Выбираете «Включение или отключение компонентовWindows».
  3. Находите строки «.NetFramework» и смотрите стоят ли возле них галочки.

Требуется обновление Windows

Иногда при инсталляции программы можно увидеть сообщение о том, что невозможно установить компонент Net Framework в текущем состоянии Виндовс. Обычно с этим сталкиваются пользователи Семерки. В таком случае потребуется запустить обновление.

Как некоторым программам требуется Net Framework, так и самому фреймворку требуется наличие некоторых обновлений в системе. Прекрасным решением является позволить системе обновиться. Правда, это может отнять некоторое время.

Невозможность установить устаревшую версию компонента

Самая неприятная ошибка в установке Net Framework. Некоторые программы не получают обновлений длительное время и используют специфическую функцию из Microsoft Net Framework 2.0. На Windows XP они работают нормально, а вот на Windows 8 вылетают с ошибкой.

Проблема заключается в том, что в этом случае сделать уже ничего нельзя. Проще найти замену программе. Ведь в «Net Framework 3.5» входит изменённый набор команд и устаревшие решения из него убраны. При наличии версии Нет Фреймворк 3.5 в системе будет блокироваться добавление других. Для Windows 7 и 8 можно отключить его и произвести установку старой версии библиотеки, а потом включить новую. В Windows 10 – сделать ничего нельзя, возможность добавления опровергается сайтом Microsoft, а при загрузке пакета нас предупреждают о несовместимости.

Аналогичную проблему можно увидеть, когда в системе установлен Net Framework 4.7. Он просто заблокирует добавление 4.

Удалён промежуточный компонент

Также можно столкнуться с такой проблемой: при установке требуется предыдущий фреймворк. Например, устанавливая Фреймворк 2 будет удален 3. Если после этого попытаться установить версию 4 (или выше) – появится сообщение об ошибке. Поэтому перед инсталляцией новых вариантов нужно проверять наличие старых.

Windows не имеет лицензии

При отсутствии лицензии на ОС не работает обновление и работа с компонентами. Если на экране висит сообщение о необходимости активации, ставить библиотеки просто невозможно. Сперва следует решить проблему с активацией.

Прочие проблемы


Если при установке не подходит ни одно из указанных решений, то следует пойти другим путём:

  1. Найти и скачать установочный пакет с сайта Microsoft.
  2. Попробовать установить компонент с его помощью.
  3. Найти альтернативный установщик пакета.
  4. Попробовать запустить.

На этом все возможные варианты исчерпаны.

Долгая установка

Не критичной проблемой является долгая установка Net Framework, в том числе 4 версии. Она может стать результатом предварительной загрузки и добавления обновлений или слабой скоростью скачивания. В таком случае следует только проявить терпение и дождаться, пока процесс завершится. Либо попробовать скачать установочный пакет и использовать его.

Почему Net Framework 4 не устанавливается Windows 7?

То, что платформа .NET Framework играет одну из важнейших ролей в любой системе Windows, говорить не приходится. Если кто не знает, наряду с DirectX и C++ Distributable она исполняет роль связующего звена между некоторыми типами программ, которые, как считается, между собой несовместимы. И причиной того, что .NET Framework 4 не устанавливается (Windows 7 или любая другая система имеется ввиду), является отнюдь не несоответствие программных или «железных» компонентов, а программное обеспечение, этому препятствующее. Но суть не в этом.

Платформа .NET Framework 4 не устанавливается: Windows 7 и возможные проблемы

Невозможность установки платформы связана изначально с несовместимостью самой системы. В самом грубом примере это выглядит, как попытка поставить мост с архитектурой 64 бита в 32-битную систему. Нонсенс!

Любой пользователь, совершенно незнакомый с ошибками такого рода, может встретить еще и предупреждения о том, что инсталляция невозможна только по причине того, что в системе присутствует параллельная версия пакета.

Кроме всего прочего, особую роль играют драйверы устройств, совместимые или несовместимые с данной версией платформы.

Проблемы обновлений системы

Установка .NET Framework 4 является как бы обязательной для всех версий ОС, однако, сама четвертая версия безнадежно устарела. Именно поэтому система и начинает «плеваться», когда определяет, что данный пакет не сопоставлен с имеющейся в распоряжении пользователя ОС.

Для того чтобы четвертая версия платформы установилась нормально, нужно хотя бы отключить интернет и удалить прошлую модификацию. Заметьте: далеко не все версии устанавливаются в системе. Если минимальная конфигурация требованиям платформы не соответствует, об установке можно даже не мечтать.

Как утверждают специалисты корпорации Microsoft, проблема состоит в том, что вроде бы для Windows не установлены самые последние апдейты. Установить их можно из того же «Центра обновления» в ручном режиме поиска. Но далеко не факт, что полученные апдейты для той же системы Windows 7 не сыграют с пользователем злую шутку.

Дело в том, что есть некая категория апдейтов (причем не только для «семерки»), которые не рекомендуется ставить вообще. Какие обновления для Windows 7 ставить нельзя, это разговор отдельный, а вот удаление версий предыдущих – вопрос животрепещущий.

Долго устанавливается .NET Framework 4 (Windows 7): что делать?

Тут отдельно стоит остановится на том, что загрузка апдейтов и их установка напрямую зависят от ранее установленных версий пакета.

Когда инсталлятор производит сканирование компьютерной системы, он автоматически определяет ее совместимость с инсталлируемой версией платформы, уточняет наличие необходимых системных ресурсов и т. д.

Как может показаться на первый взгляд, минимальные требования могут быть и выполнены (в смысле конфигурации). Но это не так. При наличии в системе обычного 2-ядерного процессора даже с двумя потоковыми уровнями, обращение будет производиться раздельно. Вроде бы и хорошо, но есть нюансы.

Удаление ранних версий

Ранние версии, особенно пакет 3.5, предоставленный для бесплатной загрузки пользователям, до 4.0 сам по себе обновляться почему-то не хочет. На то есть свои причины. Дело в том, что версия 3.5 такова, что в ней есть свои особенности. И именно версия этой модификации «влипает» в компьютер почти навечно.

Установка Microsoft .NET Framework более высокой версии никак не может производиться без удаления старой. А удаление предыдущей версии мало того, что нужно выполнить в разделе программ и компонентов стандартного раздела «Панели управления» Windows, так еще придется стирать ключи и записи в системном реестре, что при неосторожном обращении чревато непредсказуемыми последствиями, вплоть до полной неработоспособности.

Удаление нужно начать с раздела деактивации компонентов Windows, а потом перейти в раздел удаления программ. Желательно использовать автоматизированные утилиты вроде iObit Uninstaller, которые удаляют все сопутствующие компоненты программ и записи в реестре.

Использование командной строки


И еще! В командной строке не всегда работает служба остановки сервиса. В некоторых случаях ее придется завершать через повторный ввод. Тем не менее для того, чтобы решить проблему под названием «.NET Framework 4 не устанавливается», Windows 7, как и любая другая операционная система, может воспринимать ее, как ни странно, сторонним объектом, пытающимся нарушить целостность системы, как говорится, невзирая на лица.

В случае с остановкой соответствующих служб более практичным методом нужно использовать командную консоль, вызываемую из меню «Выполнить» командой cmd, запущенной от имени администратора, где сначала прописывается команда остановки net stop WuAuServ, после чего задействуется переименование каталога Software Distribution в SDold в системных директориях, а затем – повторное включение сервиса (net WuAuServ start).

Что может быть еще?

К сожалению, пакеты обновлений 3.5 и 4.0 или выше при инсталляции данной платформы могут вызывать серьезные конфликты даже на ранней стадии инициализации системы. .NET Framework 4 не устанавливается, Windows 7 не инициализирует пакет инсталлятора только потому, что в самой системе не поддерживается апдейт (Windows XP не может воспринять платформу выше 4.5) или отсутствуют пакеты, совместимые с системой данного ранга).

Если делать определенные выводы, стоит сказать, что первоочередную роль играет несовместимость самой платформы с заявленной компьютерной конфигурацией, и только потом проблемы связываются с наличием старых версий (хотя и этот факт в достаточно высокой мере способствует определению условий инсталляции нового пакета в существующую конфигурацию). В большинстве случаев именно такая конфронтация вызывает появление конфликтов, которые способны отображаться даже на уровне доступа к физической или виртуальной памяти.

В этом смысле возрастает нагрузка на системные ресурсы, поскольку версии 4, 4.5, 3.5 и т. д. могут восприниматься как раздельные компоненты, а одновременное обращение к памяти или процессору каждого из этих действий неминуемо ведет к появлению ошибок и сбоев.

Что же до рекомендаций, то сначала, действительно, нужно удалить любые версии пакета третьей модификации, а только потом инсталлировать пакет 4.0 в чистом виде. При успешной установке и наличии связи его можно будет обновить до актуальной версии автоматически.

Скачать .Net Framework для Windows 7 | Устанавливаем или обновляем, исправляем ошибки.

«.Net Framework» — это специальная програмная платформа, с помощью которой написано огромное количество приложений для операционной системы Windows. Для работы таких программ необходимо, чтобы окружение .NET Framework было установлено на вашем компьютере.

Мастер Йода рекомендует:  10 ресурсов для изучения Linux

На этой странице вы сможете бесплатно скачать нужную версию установщика .NET Framework. Также, вы сможете узнать про назначение .NET Framework, системные требования и ознакомиться с инструкцией по установке или исправлению ошибок, связанных с его работой на различных версиях Windows.

Содержание

Введение. Зачем нужен .Net Framework

Что такое .Net Framework? Microsoft .Net Framework – распространяемая программная платформа, которая используется для разработки современного ПО. Архитектура «.Net»:

  • Позволяет разработчикам не тратить время на проработку взаимодействия создаваемого продукта со средой, в которой он будет выполняться (будь то аппаратные характеристики, совместимость, особенности ОС или другие технические аспекты окружения).

Все нюансы по созданию комфортной рабочей среды для приложения или софта берет на себя .Net Framework

  • Умеет работать со многими языками программирования при помощи набора специальных алгоритмов, что дает создателям приложений возможность использовать практически любой известный принцип построения программного кода для своего ПО.

Другими словами, .Net Framework становится базой для запуска приложений на различных ОС, предоставляя конечным потребителям возможность использовать любые приложения, совместимые с этим компонентом, независимо от характеристик компьютера или любого другого устройства.

Системные требования для оптимальной работы .Net Framework

Требования к аппаратным комплектующим для нормальной работы у .Net Framework достаточно низкие, поэтому компонент будет работать даже на самом слабом компьютере. Дальнейшая информация в этой главе предназначена в первую очередь для начинающих пользователей.
Более продвинутые могут перейти к главе, в которой вы узнаете о последней версии .Net Framework, доступной к установке на вашей ОС. От вашего компьютера требуется:

  • Процессор с частотой 1 ГГЦ и выше;
  • Объем оперативной памяти не менее 512 МБ;
  • Минимальное количество место на жестком диске в размере 4,5 ГБ.

.Net Framework имеет достаточно много версий, которые выпускаются еще со времен Windows XP, но серьезных изменений в архитектуре компонента не было. Помните, что версия пакета .Net Framework, на которой разрабатывалась та или иная программа будет требовать соответствующую (2, 3, 4) версию на вашем компьютере.
Поэтому для лучшей совместимости с максимальным количеством приложений должны быть установлены все возможные вариации этого компонента. Но это не значит, что новейшие библиотеки будут полностью поддерживаться старыми ОС.
Порой, чтобы установить подходящую версию .Net Framework, нужно обновиться до новой версии Windows.
Мы настоятельно рекомендуем пользователям устанавливать Windows 10.

Определение разрядности операционной системы: x32 (x86) или x64

Разрядность своей операционной системы (при необходимости) вы можете посмотреть в «Свойствах» компьютера. Рисунок 1. Узнаем разрядность системы.
Эта информация потребуется при установке старых версий .Net Framework.
Новые библиотеки подойдут под ОС обеих разрядностей (x32-x64).

Последняя версия .Net Framework, доступная к установке на вашей ОС

Последний .Net Framework, который может быть установлен на все эти ОС (за исключением Windows XP) вручную, — это версия 4.7. Перед тем как установить компонент на компьютер, убедитесь, что нужная вам версия не интегрирована в ОС по умолчанию, ознакомившись со следующей информацией:

  • Windows XP. Интегрированная версия – 1.0 SP2;
  • Windows Интегрированные версии – 2.0 SP2, 3.0 SP2 и 3.5 SP1;
  • Windows 8 или 8.1. Интегрированные версии – 4.5 и 4.5.1 соответственно для этих ОС;
  • Windows Интегрированная версия – 4.6 или 4.6.1 в зависимости от установленных обновлений.

Обратите внимание!

Самые новые версии .Net Framework не содержат все те библиотеки, которые ранее были в старых версия .NET Framework.
Это значит, что для запуска некоторых старых программ или игр придется установить необходимые для их работы, старые(!) версии .NET Framework.

Также необходимо помнить: предустановленные библиотеки не могут быть удалены штатными средствами самой операционной системы.

Как установить нужную версию .Net Framework

Предположим, что вам понадобилась более ранняя версия компонента для запуска определенного приложения.
Обычно программное обеспечение само оповещает пользователя об отсутствии на ОС нужной версии .Net Framework, выводя соответствующее окно с ошибкой. Пример такого сообщения представлен на рисунке ниже:


Рисунок 2. Пример сообщения об отсутствии нужной версии .Net Framework.
В этом случае необходимо просто загрузить нужную версию компонента под вашу ОС (естественно, соблюдая разрядность) при помощи специального установщика, который бывает двух видов:

  1. Онлайн (веб) установщик скачивает все необходимые файлы .Net Framework с серверов Microsoft и самостоятельно распаковывает загруженные данные. Требует соединения с интернетом.
  2. Автономный (полный) установщик уже содержит в себе все библиотеки, которые нужны для полноценной установки .Net Framework без подключения к интернету.

Других принципиальных различий не имеется. При использовании автономной версии компонента ошибки при установке возникают несколько реже, поэтому при поиске ссылки чаще всего будут вести именно на него. Для быстрого перехода к загрузке нужной версии, вернитесь к содержанию и кликните на заголовок с названием необходимого вам компонента.

Скачать .Net Framework 4.7 (включая версии: 4.6.2, 4.6.1, 4.6, 4.5.2 и 4)

Скачать .Net Framework 3.5 (включая версии: 3.0 и 2.0)

Вы можете ознакомиться с дополнительными сведениями и скачать .Net Framework 3.5 на сайте Microsoft или скачать библиотеку одним файлом с нашего сайта с помощью представленных ссылок.

.NET Framework развивается, и в его новых версиях могут отсутствовать некоторые компоненты, которые ранее присутствовали в более ранних версиях.

Это происходит по разным причинам: какие-то компоненты могли устареть, стать не актуальными, либо им на смену могли прийти новые, более продвинутые компоненты Фреймворка. Некоторые старые приложения могут нуждаться именно в тех, старых компонентах, которые отсутствуют в новых версиях, из-за чего требуется установка одной из старых версии MS .NET Framework. Версия 3.5 уже включает в себя младшие версии библиотек (поэтому отдельно скачивать их не нужно):

  • .Net Framework 2.0;
  • .Net Framework 3.0.

Этот компонент совместим с любой ныне используемой операционной системой от Microsoft, в том числе и с Windows XP. Установка .Net Framework 3.5 в большинстве случаев позволит запустить и обеспечить нормальную работу любой старой программе или игре. Однако если вы наблюдаете проблемы с этой версией компонента, ознакомьтесь с информацией в следующей главе.

Ошибки при установке или работе .Net Framework

.NET Framework Repair Tool найдет и устранит большинство сбоев

По данным сайта Microsoft, данная утилита решает проблемы при работе и установке или обновлении любой версии .Net Framework.

К сожалению, «Repair Tool» не поддерживает русский язык. Однако все происходящие в ней процессы просты и интуитивно понятны. От пользователя требуется:

  1. Периодически нажимать кнопку «Next»;
  2. Соглашаться с применением предложенных изменений.

Программа протестирует систему в несколько этапов.

В случае обнаружения ошибки, будут предложены действия по ее устранению. После подтверждения необходимо дождаться завершения работы утилиты и перезагрузить компьютер.
Рисунок 3. Процесс тестирования программой Microsoft .Net Framework Repair Tool.
При следующем запуске системы ошибки .Net Framework будут исправлены, и вы сможете заново установить нужную версию компонента (если ранее этот процесс сопровождался сбоями).

При повторении проблемы во время установки или работы компонента после применения программы ознакомьтесь с детальной информацией по конкретным ошибкам, описанным в следующих главах.

Ошибка установки обновления .Net Framework 0x80070643 на Windows 7

Если «Repair Tool» не обнаружила проблему, следует перезапустить центр обновления Windows при помощи готовой программы, написанной специально для esate.ru или с помощью алгоритма команд, который вы самостоятельно сможете создать по описанной ниже инструкции.

Исполняемый код в обоих случаях одинаковый.

Программа создана исключительно для удобства: при ее использовании не придется проводить никаких манипуляций вручную. Далее будет описан ручной способ перезапуска системного обновления.

Внимательно следуйте дальнейшей инструкции:

  1. Создайте пустой текстовый документ и скопируйте в него следующий код:

@echo
attrib -h -r -s %windir%\system32\catroot2
attrib -h -r -s %windir%\system32\catroot2\*.*
net stop wuauserv
net stop CryptSvc
net stop BITS
ren %windir%\system32\catroot2 catroot2.old
ren %windir%\SoftwareDistribution SoftwareDistribution.old
ren «%ALLUSERSPROFILE%\application data\Microsoft\Network\downloader» downloader.old
net Start BITS
net start CryptSvc
net start wuauserv
pause

  1. Сохраните файл в расширении «.bat»;
  2. Запустите созданную программу от имени администратора.

На рисунке 4 вы можете подробнее рассмотреть второй шаг.
Рисунок 4. Сохраняем файл в расширении «.bat».
Теперь остается только перезагрузить компьютер и заново произвести установку .Net Framework.

Ошибка при установке платформы .Net Framework 3.5: 0x800F0906, 0x800F081F, 0x800F0907 на Windows 8 или 8.1

Эта проблема возникает при попытке установки .Net Framework 3.5. Перед выполнением действий, описанных далее, рекомендуется ознакомиться с главой: «Ошибка установки обновления .Net Framework 0x80070643 на Windows 7». Ошибки 0x800F0906, 0x800F081F, 0x800F0907 в большинстве случаев проявляются при установке .NET Framework 3.5, когда в операционной системе установлены обновления безопасности KB2966826 и KB2966828.

Скорее всего это связанно с тем, что некоторые обновления Windows могут не тестироваться на работу или взаимодействие с инсталлятором .NET Framework 3.5.


Разработчики MS исходили из того, что пользователи будут пользоваться новыми, более актуальными версиях Фреймворка, а сам инсталлятор .NET Framework 3.5 был создан задолго до этих обновлений, и не учитывает тех изменений в политиках и механизмах безопасности, которые они несут.

Чтобы использовать .Net Framework 3.5 (и ниже) на новых ОС, необходимо:

  1. Временно отключить «Центр обновления Windows»;
  2. Удалить KB2966826 и KB2966828 через стандартное средство «Установка и удаление программ»;
  3. Перезагрузить компьютер, повторить установку .Net Framework.

После установки компонента можно обратно включить автоматические обновления.

Выбор жесткого диска и папки для распаковки .NET перед установкой (установщик может сам выбирать диск, например диск A:)

Установщик последних версий .NET Framework выбирает диск и папку назначения на своё усмотрение. Это может быть довольно не очевидный выбор, например диск A:, или другой диск, не предназначенный для этих задач.
Чтобы обойти эту проблему, достаточно запустить установку используя командную строку (см. рисунок 5):

  1. Запустите командную строку: открыть меню «Пуск» → написать в строке поиска: cmd → запустить соответствующую программу нажатием левой кнопкой мыши;
  2. Перейти в папку с пакетом установщика с помощью команды «cd C:\my-install-dir»
  3. Запустить пакет установки с ключом «/x»:

NDP47-KB3186497-x86-x64-AllOS-ENU.exe /X

Обратите внимание, что название пакета установщика у вас может отличаться!

  • В открывшемся окне — укажите путь для распаковки пакета .NET Framework
  • Рисунок 5. Инсталляция .NET Framework 4.7.1 с распаковкой в конкретную папку.

    Не устанавливается .NET framework 4.7

    Добрый вечер !
    Не устанавливается .NET framework 4.7 ( До этого он устанавливался , удалил все программы так как чистил все )

    И из журнала строчки :
    OS Version = 6.1.7601, SP = 1.0, Platform 2, Service Pack 1
    OS Description = Win7 — x64 Service Pack 1
    MSI = 5.0.7601.23446
    Windows version = amd64_windowsfoundation_31bf3856ad364e35_6.1.7600.16385_none_5f2ecc1aaa4ac3b2.manifest
    Windows servicing = 6.1.7601.23505
    CommandLine = C:\b58b608bde549bb6f9dc979b1e1c\\Setup.exe /x86 /x64 /web
    Using Simultaneous Download and Install mechanism
    Operation: Repairing
    Package Name = Microsoft .NET Framework 4.7 Setup
    Package Version = 4.7.02053
    User Experience Data Collection Policy: Disabled
    Number of applicable items: 4
    Exe (C:\b58b608bde549bb6f9dc979b1e1c\SetupUtility.exe) succeeded.
    Exe Log File: dd_SetupUtility.txt
    MSI (C:\b58b608bde549bb6f9dc979b1e1c\netfx_Full_x64.msi) Installation failed. Msi Log: Microsoft .NET Framework 4.7 Setup_20201008_180657211-MSI_netfx_Full_x64.msi.txt
    Final Result: Installation failed with error code: (0x80070643), «В процессе установки произошла неисправимая ошибка. » (Elapsed time: 0 00:00:34).

    08.10.2020, 18:10

    Не устанавливается .NET Framework 4
    Добрый день, установлен windows 7. Не устанавливается microsoft.net framework 4 Автоматически.

    Не устанавливается .NET Framework 4.5.1
    Здравствуйте! В процессе установки пакета (KB2861696) появляется сообщение — неустранимая ошибка.

    Не устанавливается .NET Framework 4
    Не устанавливается .NET Framework 4 Бесконечно загружается на моменте установки клиентского профиля

    Не устанавливается net framework 4.0
    Не устанавливается net framework 4.0. Посоветуйте что делать.

    .NET Framework 4.0 не устанавливается
    Столкнулся с проблемой при установке этой проги. :wall: Помогите решить проблему и объясните с чем.

    Microsoft .NET Framework: зачем он нужен и как установить на Windows

    Если вы часто устанавливаете программы, то наверняка сталкивались с ошибками Microsoft .NET Framework . Две самых распространённых — он либо не установлен, либо установлена не та версия.

    Почему так происходит? Что это такое и зачем нужен NET Framework ?

    Что такое .NET Framework?

    Наверное, вы знаете, что основное занятие программистов — написание кода. При этом они используют различные языки программирования, позволяющие сказать компьютеру, что он должен делать:

    Но есть одна проблема — языки программирования довольно примитивны. С их помощью можно легко выполнять простые действия вроде сложения и умножения. А всё остальное требует долгой и усердной работы. Хотите вывести текст или изображения на экран? Тогда придётся написать много кода, используя самые простые элементы языка.

    Здесь на помощь приходит .NET Framework . По сути, это обширный набор написанных фрагментов кода ( созданный и поддерживающийся Microsoft ) , который программисты могут использовать, чтобы быстрее писать программы.

    К примеру, .NET Framework берёт на себя все операции по отрисовке окон на экране. Программисту остаётся только вставить текст, продумать меню программы, задать поведение кнопок, когда на них нажимает пользователь и т.д.


    Но .NET Framework — намного больше, чем просто набор дополнительного кода. Он включает в себя инструменты, призванные сократить время разработки и дополнительные API , которые программисты могут использовать для простого взаимодействия с такими сервисами как Windows Store . Вместо того чтобы вручную писать весь необходимый код для поддержки универсальной платформы Windows , можно воспользоваться .NET Framework :

    Есть только один недостаток разработки приложений с использованием .NET Framework — их невозможно запустить, если .NET не установлен в вашей системе.

    .NET Framework состоит из двух частей. Первая часть включает в себя набор заранее написанного кода ( официально именуемого SDK , Dev Packs или «Пакеты разработчика» ). Вторая часть включает в себя программу, которая может интерпретировать код .NET Framework в команды для операционной системы. Эта часть, которую называют « средой выполнения », позволяет запускать программы, написанные с использованием .NET Framework .

    В этом отношении .NET Framework напоминает Java — для использования написанных на нём приложений необходимо скачать среду выполнения Java Runtime Environment .

    Говоря кратко, зачем нужен Microsoft NET Framework : если вы простой пользователь, который не собирается заниматься программированием, вам потребуется только среда выполнения .NET Framework .

    Как установить .NET Framework

    На большинстве компьютеров на Windows уже установлен .NET Framework , но его версия может быть устаревшей. Например, с Windows 8 и 8.1 поставляется версия 4.5.1 , а с Windows 10 — версия 4.6 , 4.6.1 или 4.6.2 .

    На момент написания статьи самая свежая версия — .NET Framework 4.7 . Именно её мы и будем устанавливать:

    .NET Framework можно установить и через Центр обновления Windows . Но многие отключают обновление Windows , поэтому данный метод будет предпочтительнее.

    Перед установкой — .NET Framework 4.7 можно установить на Windows 10 , Windows 8.1 и Windows 7 SP1 как на 32-битные, так и на 64-битные системы. Чтобы установка прошла без ошибок, Microsoft рекомендует иметь на жестком диске минимум 2.5 ГБ свободного пространства.

    Microsoft предлагает два вида установщиков: веб-установщик и автономный установщик. Веб-установщик весит меньше 2 МБ, и скачивает все необходимые компоненты во время инсталляции. Поэтому вам потребуется стабильное соединение с интернетом.

    Автономный установщик весит около 60 МБ, и не требует доступа к интернету во время инсталляции.

    Оба установщика содержат одинаковые версии NET Framework , но мы предпочитаем использовать автономный установщик. Он надёжнее, и всегда будет под рукой, если потребуется переустановить .NET Framework . После скачивания процесс установки не должен вызвать затруднений — просто следуйте инструкциям, появляющимся на экране. И тогда вы быстрее поймете, зачем нужен NET Framework 4 .

    .NET Framework 4.7 Веб-установщик

    .NET Framework 4.7 Автономный установщик

    Обратите внимание, что версия 4.7 — это выполняемое обновление версий 4 , 4.5 , 4.5.1 , 4.5.2 , 4.6 , 4.6.1 и 4.6.2 . Поэтому не удаляйте предыдущие версии после установки. .NET Framework 3.5 SP1 и более старые версии устанавливаются отдельно.

    По умолчанию .NET Framework инсталлирует английскую версию независимо от того, какой вы используете установщик. Для локализации нужно скачать соответствующий языковой пакет. На данный момент языковые пакеты для версии 4.7 доступны только в виде автономных установщиков.

    Перейдя по ссылке, приведенной ниже, выберите необходимый язык, дождитесь, пока страница перезагрузится, и нажмите « Скачать ».

    Языковой пакет .NET Framework 4.7

    Ещё кое-что о .NET Framework

    Еще одна причина, зачем нужен NET Framework . Несколько лет назад Microsoft открыла исходный код .NET Framework , позволив всем желающим вносить свой вклад в разработку платформы. В результате Microsoft стала самой активной организацией на GitHub .

    Что это значит для вас? В сущности, то, что приложения, написанные на .NET Framework в будущем станут только популярнее и качественнее. Поэтому, почему бы не установить .NET Framework прямо сейчас?

    Данная публикация представляет собой перевод статьи « Microsoft .NET Framework: Why You Need It and How to Install It on Windows » , подготовленной дружной командой проекта Интернет-технологии.ру

    Microsoft .NET Framework и ошибки в играх, программах. Как обновить или переустановить Microsoft .NET Framework?

    Не так уж и редко приходится сталкиваться с различными ошибками, связанными с пакетом Microsoft .NET Framework (чаще всего в играх, различных редакторах, программах для черчения, взять хотя бы тот же AutoCAD. ).

    Во всех подобных проблемах, необходимо узнать, какая версия .NET Framework требуется приложению, посмотреть есть ли она в Windows, и, если ее нет — обновить/установить. Казалось бы, ничего сложного, но есть нюансы. О них и пойдет речь в статье.


    Для справки. Вообще, .NET Framework — это специальный пакет, который призван совместить между собой различное ПО, написанное на разных языках программирования (так, чтобы все работало). По идее, можно сравнить его с кодеками. Естественно, если у вас на компьютере нет нужной версии (или она была повреждена) — то программа у вас не запустится.

    А теперь, ближе к делу, разберу самое основное.

    Решение проблем с Microsoft .NET Framework

    Как узнать какие версии .NET Framework у меня установлены?

    Необходимо открыть панель управления Windows по следующему пути: Панель управления\Программы\Программы и компоненты ( прим. : установка и удаление программ) .

    Далее просмотрите список установленных программ: нет ли среди них .NET. Если в списке нет, откройте компоненты Windows (см. скриншоты ниже).

    Программы и компоненты

    Важно!

    Отмечу, что в ОС Windows 8 и 10 Microsoft .NET не указана в списке установленных программ (чтобы посмотреть версии, необходимо открыть ссылку в меню слева «Просмотр установленных обновлений»).

    В ОС Windows 10 нет возможности удаления .NET штатными средствами, однако, как правило возможна установка последней версии .NET (его обновление).

    Для просмотра и решения проблем с .NET есть специальная утилита «.NET Version Detector» (доступна по ссылке: http://www.asoft.be).

    Она не требует установки. После запуска покажет список всех установленных версий, а также приведет ссылки на их загрузку (если вдруг чего-то не окажется — можно скачать и установить).

    NET Version Detector — смотрим доступные версии NET Framework

    Можно ли не обновлять этот пакет, ведь я раньше не обновлял его и все работало?

    Большинство пользователей и не вспоминает о нем (до поры до времени. ). Дело в том, что в новых версиях Windows уже есть в комплекте (предустановлена в систему) определенная версия .NET и нет необходимости отдельно что-то скачивать или обновлять.

    Кроме этого, .NET часто включают в установщики популярных игр, и при их инсталляции происходит и обновление этого пакета. Т.е. все действия незаметны для пользователя.

    Однако, может стать так, что новая программа или игра потребует новый пакет .NET (или наоборот, захотите запустить что-то старое, которое потребует определенную версию .NET и никакую другую).

    А дальше все просто: если нужной версии .NET не будет — то при запуске вы увидите ошибку (как на примере ниже). Кстати, часть ошибок может быть связана с «битой» версией .NET (именно поэтому, иногда рекомендуется обновлять это ПО).

    Ошибка, связанная с отсутствием .NET 4.7 версии

    Ссылки на загрузку необходимых версий

    Во-первых, сразу хочу посоветовать: не нужно скачивать все подряд версии и пытаться переустановить каждую (чуть ниже я отмечу, какие версии рекомендованы для разных ОС). Во-вторых, рекомендуется скачивать .NET только с официального сайта Microsoft (так сказать, не измененный установщик).

    Способ №1. Чуть выше в статье я вам порекомендовал использовать утилиту «.NET Version Detector» — она не только покажет, какие версии пакета .NET у вас установлены в системе, но и даст ссылки на загрузку каждой из версии.

    Способ №2. Привожу ниже ссылки на официальный сайт Microsoft:

    Важно отметить , что версия .NET 4 (скажем) обновляет предыдущую версию .NET, поэтому для новых ОС Windows 8, 10 требуется установка (в 99,9% случаев) только последних версий .NET 4.

    Дополнение!

    Не могу не порекомендовать программу Driver Booster — даже если вам ненужно обновлять драйвера, все равно попробуйте воспользоваться ей. Дело в том, что она автоматически определяет недостающие компоненты в системе, которые могут сказаться на играх (.NET, Visual C++ и др. пакеты), и устанавливает их. Согласитесь, удобно!


    Обратите внимание, все необходимое для игр (.NET, Visual C++ и др. пакеты) программа качает и ставит автоматически!

    Можно ли удалить .NET Framework (или использовать другую версию)? Что для этого необходимо?

    В большинстве случаев, удалять пакет не требуется — просто нужно задействовать другую версию. Сделать это можно во вкладке «Компоненты Windows» (которую можно открыть в панели управления Windows — чуть выше в статье показано, где найти это) .

    Собственно, нужно-то поставить «галочку» рядом с тем пакетом, который хотите задействовать и согласиться с изменениями (ОС Windows может потребоваться загрузить недостающие файлы — делает она это сама в авто-режиме (просто потребуется подключение к интернету) ).

    Включение .NET 4.7

    В тех случаях, когда у вас вроде бы установлена нужная версия .NET, а игра (программа) все равно сыпет ошибками и «ругается» — можно попробовать удалить пакет .NET и установить его заново.

    В ряде случаев, пакет можно удалить, если открыть список установленных программ ( Панель управления\Программы\Программы и компоненты ). Удаление происходит точно также, как и любой другой программы (см. скрин ниже).

    Программы и компоненты — удаляем .NET как обычную программу

    В отдельных случаях, может потребовать специальная утилита: NET Framework Cleanup Tool (ссылка на блог разработчика Microsoft — https://blogs.msdn.microsoft.com/astebner/2008/08/28/net-framework-cleanup-tool-users-guide/).

    Утилита не нуждается в установке. Запускать ее, кстати, необходимо от имени администратора ( прим. : т.е. щелкнуть по исполняемому файлу правой кнопкой мышки и в контекстном меню выбрать «запуск от имени администратора») .

    Собственно, дальше будет нужно выбрать версию .NET, которую хотите удалить и нажать кнопку «Cleanup Now» (очистить сейчас). См. скриншот ниже.

    cleanup tool (работает в Windows 10)

    Вот, собственно, и все на сегодня.

    .NET Framework 4.7 теперь доступен для всех поддерживаемых версий Windows

    При запуске веб- или автономного установщика для .NET Framework 4.5, 4.5.1, 4.5.2, 4.6 или 4.6.1 может возникать проблема, которая мешает установке .NET Framework или блокирует ее. Эти неполадки, а также рекомендации по их устранению, приводятся в следующей таблице.

    В этой таблице 4.5.x относится к платформе .NET Framework 4.5 и ее вспомогательным выпускам — 4.5.1, 4.5.2, 4.6 или 4.6.1.

    Сообщение о блокировке Рекомендации и дополнительные сведения
    Удаление платформы Microsoft .NET Framework может вызвать неполадки в работе некоторых приложений. Обычно не рекомендуется удалять установленные версии .NET Framework, поскольку используемые приложения могут зависеть от конкретной версии .NET Framework. Дополнительные сведения см. в разделе .NET Framework для пользователей руководства по началу работы.
    .NET Framework 4.5.x/4.6.x (язык) требует наличия .NET Framework 4.5.x/4.6.x. Установите.NET Framework 4.5.x/4.6.x из Центра загрузки и повторно запустите программу установки. Перед установкой языкового пакета необходимо установить английскую версию указанного выпуска .NET Framework. Дополнительные сведения см. в разделе Установка языковых пакетов руководства по установке.
    Не удается установить .NET Framework 4.5.x/4.6.x. Эта программа несовместима с другими приложениями на данном компьютере.

    Эта программа несовместима с другими приложениями на данном компьютере.

    Скорее всего, на компьютере установлена предварительная или RC-версия .NET Framework. Удалите ее и снова запустите программу установки.
    .NET Framework 4.5.x/4.6.x невозможно удалить, используя этот пакет. Чтобы удалить .NET Framework 4.5.x/4.6.x с компьютера, откройте панель управления, выберите Программы и компоненты, Просмотр установленных обновлений, затем «Обновление для Microsoft Windows» (KB2828152) и нажмите Удалить. Устанавливаемый пакет не удаляет предварительную или RC-версию .NET Framework.

    Удалите предварительную или RC-версию с помощью панели управления.

    Не удается удалить .NET Framework 4.5.x/4.6.x. От этой программы зависят другие приложения на данном компьютере. Обычно не рекомендуется удалять установленные версии .NET Framework, поскольку используемые приложения могут зависеть от конкретной версии .NET Framework. Дополнительные сведения см. в разделе .NET Framework для пользователей руководства по началу работы.
    Распространяемый пакет .NET Framework 4.5.x/4.6.x неприменим к этой операционной системе. Скачайте .NET Framework 4.5.x/4.6.x для вашей операционной системы из Центра загрузки Майкрософт. Возможно, вы пытаетесь установить .NET Framework 4.5.1, 4.5.2, 4.6 или 4.6.1 на платформу, которая не поддерживается, или выбрали пакет установки, в котором отсутствуют компоненты для некоторых операционных систем. Повторите установку с помощью автономного установщика ( для 4.5.1, для 4.5.2, для 4.6 или для 4.6.1). Дополнительные сведения см. в руководстве по установке и в требованиях к системе для поддерживаемых операционных систем.
    В настоящее время на компьютере установлены основные серверные компоненты операционной системы Windows Server 2008. Для установки .NET Framework 4.5.x требуется более поздний выпуск операционной системы. Установите Windows Server 2008 R2 с пакетом обновления 1 (SP1) или более поздней версии и перезапустите программу установки .NET Framework 4.5.x. .NET Framework 4.5.1 и 4.5.2 поддерживается в роли Server Core с Windows Server 2008 R2 с пакетом обновления 1 (SP1) или более поздней версии. См. раздел Требования к системе.
    У вас недостаточно прав для завершения этой операции для всех пользователей данного компьютера. Войдите в систему как администратор и перезапустите операцию Установка. Для установки .NET Framework требуются права администратора.
    Невозможно продолжить установку, поскольку другая установка требует перезагрузки компьютера. Перезагрузите свой компьютер и перезапустите программу установки. Перезагрузка иногда требуется для завершения установки. Выполните инструкции по перезагрузке компьютера и снова запустите программу установки.
    .NET Framework 4.5.x/4.6.x (RUS) или более позднее обновление уже установлено на этом компьютере. Никаких действий не требуется.
    Не удается установить .NET Framework в режиме совместимости программ. См. раздел Проблемы совместимости программ далее в этой статье.
    Платформа .NET Framework 4.5.x/4.6.x не была установлена, так как хранилище компонентов повреждено. Дополнительные сведения см. в статье Исправление ошибок Центра обновления Windows с помощью системы DISM или средства проверки готовности системы к обновлению.
    Не удается запустить программу установки, поскольку на этом компьютере недоступен установщик Windows. См. раздел об ошибке установщика Windows при установке или обновлении программ на веб-сайте технической поддержки Майкрософт.
    Программа установки может работать ненадлежащим образом, поскольку на компьютере недоступна служба Центра обновления Windows. Вместо службы Центра обновления Microsoft Windows могут использоваться службы Windows Server Update Services (WSUS). Дополнительные сведения см. в подразделе о коде ошибки 0x800F0906 раздела о кодах ошибок при установке .NET Framework 3.5 в Windows 8 или Windows Server 2012.

    См. также раздел об получении последней версии агента Центра обновления Windows на веб-сайте технической поддержки Майкрософт.

    Программа установки может работать ненадлежащим образом, поскольку на компьютере недоступна фоновая интеллектуальная служба передачи данных (BITS). См. раздел об обновлении, позволяющем предотвратить сбой фоновой интеллектуальной службы передачи данных (BTIS) на компьютере с ОС Windows Vista на веб-сайте технической поддержки Майкрософт.
    Компонент .NET Framework 4.5..x/4.6 уже установлен в этой операционной системе. Устанавливать распространяемый пакет .NET Framework 4.5.x/4.6 не нужно. Никаких действий не требуется. Поддерживаемые операционные системы см. в разделе Требования к системе.
    Компонент .NET Framework 4.5.x/4.6.x не поддерживается в этой операционной системе. Поддерживаемые операционные системы см. в разделе Требования к системе.

    Для неудачных установок платформы .NET Framework в Windows 7 это сообщение обычно указывает на то, что не установлен пакет обновления 1 (SP1) для Windows 7. В системах Windows 7 платформе .NET Framework требуется пакет обновления 1 (SP1) для Windows 7. Если вы используете Windows 7 и еще не установили пакет обновления 1 (SP1), это необходимо сделать перед установкой платформы .NET Framework.

    На компьютере установлена версия Server Core операционной системы Windows Server 2008. Для работы .NET Framework 4.5.x требуется полный выпуск операционной системы или Server Core 2008 R2 с пакетом обновления 1 (SP1). Установите полную версию Windows Server 2008 с пакетом обновления 2 (SP2), Windows Server 2008 R2 с пакетом обновления 1 (SP1) или Server Core 2008 R2 с пакетом обновления 1 (SP1) и перезапустите программу установки .NET Framework 4.5.x. .NET Framework поддерживается в роли Server Core с Windows Server 2008 R2 с пакетом обновления 1 (SP1) или более поздней версии. См. раздел Требования к системе.
    .NET Framework 4.5.x уже входит в состав операционной системы, но в настоящее время этот компонент отключен (только Windows Server 2012). См. раздел Включение и отключение компонентов Windows на веб-сайте Windows.
    Для этой программы установки требуется компьютер с процессором x86. Ее нельзя запускать на компьютерах с процессорами x64 или IA64. См. статью Требования к системе в библиотеке MSDN.
    Для этой программы установки требуется компьютер с процессором x64 или x86. Ее невозможно установить на компьютер с процессором IA64. См. статью Требования к системе в библиотеке MSDN.

    Проблемы совместимости программ

    Установка .NET Framework 4.5 и ее доработанных выпусков завершается сбоем с кодом ошибки 1603 или блокируется, когда она выполняется в режиме совместимости программ Windows.Помощник по совместимости программ сообщает, что платформа .NET Framework могла быть установлена неправильно, и предлагает переустановить ее с использованием рекомендуемых параметров (режима совместимости программ). Также возможно, что помощник по совместимости программ выбрал режим совместимости, если программу установки .NET Framework не удалось запустить или установка была отменена.

    Установщик .NET Framework невозможно запустить в режиме совместимости программ. Чтобы установка не блокировалась, в редакторе реестра должен быть выключен режим совместимости программ для всей системы.

    Нажмите кнопку Пуск и выберите Выполнить.

    В диалоговом окне Выполнить введите regedit и нажмите кнопку ОК.

    В редакторе реестра найдите следующие подразделы:


    HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Compatibility Assistant\Persisted

    В столбце «Имя» найдите загрузки .NET Framework 4.5, 4.5.1, 4.5.2, 4.6 или 4.6.1 (в зависимости от устанавливаемой версии) и удалите их. Названия загрузок см. в статье Руководство по установке.

    Перезапустите установщик .NET Framework для версий 4.5, 4.5.1, 4.5.2, 4.6 или 4.6.1.

    Почему .Net Framework 4.7.2 «не поддерживается в этой операционной системе»? (Windows 10)

    Я пытался установить пакет разработчика .NET 472 на компьютер с Windows 10 и получил эту ошибку.

    Я смог установить это на других компьютерах Win10, а также на Win7. Так что нет никакого очевидного смысла, почему он заявляет, что он «не поддерживается».

    В журнале есть несколько проверок версий:

    Условие пакета оценивается как ложное:

    ((VersionNT = v6.1 И ServicePackLevel> = 1) ИЛИ (VersionNT = v6.2 И НЕ (OSInstallationType = «Клиент»)) ИЛИ (VersionNT = v6.3) ИЛИ
    (VersionNT = v10.0 И OSBuildNumber> = 14393) ИЛИ (VersionNT> v10.0))

    но это не ясно указывает (мне), что мне нужно сделать, чтобы решить проблему. Некоторое обновление Windows отсутствует, возможно?

    У Microsoft есть страница поддержки, которая включает эту ошибку, но нет соответствующего разрешения:

    .NET Framework 4.5 *.x */4.6 *.x */4.7 *.x * не поддерживается в этой операционной системе:

    Для неудачных установок .NET Framework в Windows 7. [все специфично для Win7/ничего для Win10]

    К вашему сведению, весь файл журнала содержит:

    Какие версии .NET Framework необходимо устанавливать в Windows 7 и где их скачать?

    Посетителей: 122520 | Просмотров: 155918 (сегодня 0) Шрифт:

    «.NET Framework – всесторонняя и согласованная модель программирования Майкрософт для построения приложений, обладающих превосходным интерфейсом пользователя, прозрачными и безопасными средствами связи, а также возможностью создания разнообразных бизнес-процессов». Платформа .NET Framework используется для разработки и последующего запуска приложений. Если разработчик пишет приложение с использованием одной из версий .NET Framework, то для запуска этого приложения потребуется аналогичная версия .NET Framework на компьютере пользователя. Подробнее о платформе читайте на сайте MSDN.

    .NET Framework 1.0 — 1.1

    Версия 1.0 практически не используется, в состав ОС не входит.

    Версия 1.1 используется редко, в состав ОС не входит. Устанавливать только при необходимости (при запуске приложения возникает ошибка, и в системных требованиях этой программы значится .NET Framework 1.1).

    Чаще всего установка .NET Framework 1.1 и пакета обновления (SP1) проходит без каких либо проблем, но в некоторых случаях она может завершаться ошибкой, тогда потребуется установка в ручном режиме.

    Установка .NET Framework 1.1 и SP1 в ручном режиме

    1. Создаём папку DotNet в корне диска «С» (C:\DotNet).
    2. Скачиваем .NET Framework 1.1 (dotnetfx.exe) и SP1 (NDP1.1sp1-KB867460-X86.exe), сохраняем их в созданную папку.
    3. Запускаем командную строку (cmd.exe) с правами администратора.

    4. Последовательно вводим следующие команды и подтверждаем выполнение каждой из них клавишей «Enter«: Отвечаем положительно на вопросы в диалоговых окнах и продолжаем ввод команд: После ввода последней команды начнётся установка. Через несколько минут окна автоматически закроются — установка завершена.

    .NET Framework 2.0 — 3.5.1

    Версия 3.5.1 включена в Windows 7 (Пуск — Панель управления — Программы и компоненты — Включение и отключение компонентов Windows).

    Следующие компоненты считаются частью .NET Framework 3.5 с пакетом обновления 1 (SP1):

    • Платформа .NET Framework 2.0 с SP1 и SP2.
    • Платформа .NET Framework 3.0 с SP1 и SP2.
    • Платформа .NET Framework 3.5 с SP1.

    .NET Framework 4.0

    Версия 4 (клиентская часть) доступна для загрузки через Центр обновления Windows (Пуск — Панель управления — Центр обновления Windows).

    Профиль Microsoft .NET Framework 4 Client Profile предоставляет ограниченный набор функций платформы .NET Framework 4. Он разработан для выполнения клиентских приложений и обеспечения быстрого развёртывания технологий Windows Presentation Foundation (WPF) и Windows Forms. Распространяется в виде рекомендуемого обновления KB982670.

    Полная версия .NET Framework 4.0 предназначена в первую очередь для разработчиков ПО.

    Проверка наличия установленных версий

    Проверить наличие установленных версий .NET Framework очень просто с помощью .NET Version Detector.

    Или в следующем разделе системного реестра:

    Microsoft .NET Framework

    Microsoft .NET Framework — это цифровая платформа, позволяющая создавать, корректно запускать и использовать различные приложения или игры, при создании которых, части одного конкретного приложения пишутся разными программными кодами. Эта платформа представляет из себя цифровую среду, в которой разные коды отдельно взятого приложения компилируется в один переходящий код, который в свою очередь понятен самой платформе Framework. Затем переходящий код компилируется в понятный код для непосредственно той операционной системы, под которую разрабатывалось приложение. Например для Windows 7/8/10

    Установить данную платформу можно различными способами.

    • Установив операционную систему, пакет обновлений которой уже включает в себя эту платформу.
    • Скачать Net Framework а затем установить. (Официальные ссылки у нас на сайте)
    • Установить в качестве дополнительного ПО при установке игры.
    • Автоматически установить, используя «Центр обновления Windows»

    Бывают случаи: Что во время запуска игры или приложения на экране всплывает окно примерного содержания: «(имя приложения) требует наличие .НЕТ Фреймворк. Пожалуйста скачайте и установите Net Framework 3.5 или выше.» Что делает запуск данного приложения невозможным без этой платформы. Если у вас установлена Microsoft Net Framework 4.7, то это не означает что, вам не нужны более старые версии. Вам понадобится установить и Microsoft Net Framework 4 и предыдущие версии. Настоятельно рекомендуется установить все существующие касательно вашей операционной системы.

    Выберите и установите нужные Вам версии для Windows XP, Vista, 7, 8,10

    Microsoft .NET Framework 1.0

    Microsoft .NET Framework 1.1

    Microsoft .NET Framework 2.0

    Microsoft .NET Framework 3.0

    Microsoft .NET Framework 3.5

    Microsoft .NET Framework 4.0

    Microsoft .NET Framework 4.5

    Microsoft .NET Framework 4.5.1

    Microsoft .NET Framework 4.5.2

    Microsoft .NET Framework 4.6

    Microsoft .NET Framework 4.6.1

    Microsoft .NET Framework 4.6.2

    Microsoft .NET Framework 4.7

    Microsoft .NET Framework 4.7.1

    Обязательно должна быть установлена версия 3.5, которая включает в себя более ранние, и версия 4.7.1 (последняя на данный момент)

    Будем рады услышать от Вас отзыв, также поможем при установки компонентов, и в исправлении ошибок. Пишите всё в комментариях, чуть ниже

    Добавить комментарий